vector File Reference

Go to the source code of this file.

## Classes

class | __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >
struct | std::hash< __debug::vector< bool, _Alloc > >
class | std::__debug::vector< _Tp, _Allocator >

## Namespaces

namespace | __gnu_debug
namespace | std
namespace | std::__debug
namespace | std::__detail

## Macros

#define | _GLIBCXX_DEBUG_VECTOR

## Functions

template<typename _Tp , typename _Alloc >
bool | std::__debug::operator!= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator< (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator<= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator== (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator> (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator>= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
void | std::__debug::swap (vector< _Tp, _Alloc > &__lhs, vector< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/vector.

## Macro Definition Documentation

## _GLIBCXX_DEBUG_VECTOR

#define _GLIBCXX_DEBUG_VECTOR

Definition at line 30 of file debug/vector.